# waypoint_gui.cpp File Reference

Handling of waypoints gui. More...

`#include "stdafx.h"`
`#include "window_gui.h"`
`#include "gui.h"`
`#include "textbuf_gui.h"`
`#include "vehicle_gui.h"`
`#include "viewport_func.h"`
`#include "strings_func.h"`
`#include "gfx_func.h"`
`#include "command_func.h"`
`#include "company_func.h"`
`#include "window_func.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Data Structures
struct | WaypointWindow
## Functions
void | ShowWaypointWindow (const Waypoint *wp)
## Variables
static const Widget | _waypoint_view_widgets []
static const WindowDesc | _waypoint_view_desc (WDP_AUTO, WDP_AUTO, 260, 118, 260, 118, WC_WAYPOINT_VIEW, WC_NONE, WDF_STD_TOOLTIPS|WDF_STD_BTN|WDF_DEF_WIDGET|WDF_UNCLICK_BUTTONS|WDF_STICKY_BUTTON, _waypoint_view_widgets)

## Detailed Description

Handling of waypoints gui.

Definition in file waypoint_gui.cpp.

## Variable Documentation

const Widget _waypoint_view_widgets[]`[static]`

Initial value:

     {
    {   WWT_CLOSEBOX,   RESIZE_NONE,  COLOUR_GREY,     0,    10,     0,    13, STR_00C5,              STR_018B_CLOSE_WINDOW},
    {    WWT_CAPTION,   RESIZE_NONE,  COLOUR_GREY,    11,   247,     0,    13, STR_WAYPOINT_VIEWPORT, STR_018C_WINDOW_TITLE_DRAG_THIS},
    {  WWT_STICKYBOX,   RESIZE_NONE,  COLOUR_GREY,   248,   259,     0,    13, 0x0,                   STR_STICKY_BUTTON},
    {      WWT_PANEL,   RESIZE_NONE,  COLOUR_GREY,     0,   259,    14,   105, 0x0,                   STR_NULL},
    {      WWT_INSET,   RESIZE_NONE,  COLOUR_GREY,     2,   257,    16,   103, 0x0,                   STR_NULL},
    { WWT_PUSHTXTBTN,   RESIZE_NONE,  COLOUR_GREY,     0,   121,   106,   117, STR_00E4_LOCATION,     STR_3053_CENTER_MAIN_VIEW_ON_STATION},
    { WWT_PUSHTXTBTN,   RESIZE_NONE,  COLOUR_GREY,   122,   244,   106,   117, STR_0130_RENAME,       STR_CHANGE_WAYPOINT_NAME},
    { WWT_PUSHTXTBTN,   RESIZE_NONE,  COLOUR_GREY,   245,   259,   106,   117, STR_TRAIN,             STR_SCHEDULED_TRAINS_TIP },
    {   WIDGETS_END},
    }

Definition at line 102 of file waypoint_gui.cpp.